Skip to main content

Update Account

PUT /v1/accounts/{id}

Updates an existing account. Only the fields provided in the request body are updated.

Headers

HeaderRequiredValue
AuthorizationYesBearer <token>
Content-TypeYesapplication/json
X-Target-ServerYesaccounts

Path Parameters

ParameterTypeRequiredDescription
idstring (UUID)YesAccount ID

Request Body

All fields are optional. Only provided fields are updated.

FieldTypeRequiredValidationDescription
namestringNomin: 2, max: 255New account name
statusintegerNoMust be a valid account statusNew account status
{
"name": "Updated Account Name",
"status": 2
}

Response

204 No Content

Account updated successfully. No response body.

400 Bad Request

Validation error.

401 Unauthorized

Invalid or missing token.

404 Not Found

Account not found or does not belong to your node.

500 Internal Server Error